summaryrefslogtreecommitdiffstats
path: root/system/mbuffer
diff options
context:
space:
mode:
Diffstat (limited to 'system/mbuffer')
-rw-r--r--system/mbuffer/README19
-rw-r--r--system/mbuffer/mbuffer.SlackBuild117
-rw-r--r--system/mbuffer/mbuffer.info10
-rw-r--r--system/mbuffer/slack-desc19
4 files changed, 165 insertions, 0 deletions
diff --git a/system/mbuffer/README b/system/mbuffer/README
new file mode 100644
index 0000000000..7e63604626
--- /dev/null
+++ b/system/mbuffer/README
@@ -0,0 +1,19 @@
+mbuffer (a tool for buffering data streams)
+
+mbuffer has a large set of unique features:
+ - direct support for TCP based network targets (IPv4 and IPv6)
+ - ability to send to multiple targets in parallel
+ - support for multiple volumes
+ - I/O rate limitation
+ - high/low watermark based restart criteria
+ - configurable buffer size
+ - on the fly MD5 hash calculation
+
+It is especially useful, if you are writing backups to fast tape drives
+or libraries. Those drives tend to stop and rewind if they have a buffer
+underrun. This so called tape screwing reduces the lifetime of the
+motors.
+
+mbuffer can prevent buffer underruns, if used correctly and speed up
+the whole backup process. Please read the man page for details, how to
+use it.
diff --git a/system/mbuffer/mbuffer.SlackBuild b/system/mbuffer/mbuffer.SlackBuild
new file mode 100644
index 0000000000..6b2a70072d
--- /dev/null
+++ b/system/mbuffer/mbuffer.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for mbuffer
+
+# Copyright 2023 Matt Egger USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mbuffer
+VERSION=${VERSION:-20240707}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+mv $PRGNAM-r$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/mbuffer/mbuffer.info b/system/mbuffer/mbuffer.info
new file mode 100644
index 0000000000..cc8cf26fb3
--- /dev/null
+++ b/system/mbuffer/mbuffer.info
@@ -0,0 +1,10 @@
+PRGNAM="mbuffer"
+VERSION="20240707"
+HOMEPAGE="http://www.maier-komor.de/mbuffer.html"
+DOWNLOAD="http://www.maier-komor.de/software/mbuffer/mbuffer-20240707.tgz"
+MD5SUM="f7e6e6d8924614a8d6655f00471e6b77"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Config-IniFiles"
+MAINTAINER="Matt Egger"
+EMAIL="matt.egger@gmail.com"
diff --git a/system/mbuffer/slack-desc b/system/mbuffer/slack-desc
new file mode 100644
index 0000000000..87969e9bfb
--- /dev/null
+++ b/system/mbuffer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mbuffer: mbuffer (a tool for buffering data streams)
+mbuffer:
+mbuffer: mbuffer has a large set of unique features:
+mbuffer: - direct support for TCP based network targets (IPv4 and IPv6)
+mbuffer: - ability to send to multiple targets in parallel
+mbuffer: - support for multiple volumes
+mbuffer: - I/O rate limitation
+mbuffer: - high/low watermark based restart criteria
+mbuffer: - configurable buffer size
+mbuffer: - on the fly MD5 hash calculation
+mbuffer: http://www.maier-komor.de/mbuffer.html